<?php
class ControllerAmazonautoAmazonkey extends Controller {
	private $error = array();
	public function update() {
		$this->language->load('amazonauto/amazonkey');
		$this->document->setTitle($this->language->get('heading_title'));
		$this->load->model('amazonauto/amazonkey');
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			//echo "<pre>";print_r($this->request->post);die();
			$this->model_amazonauto_amazonkey->editAmazonkey($this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$url = '';
			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}
			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}
			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
			$this->response->redirect($this->url->link('amazonauto/amazonkey/update', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}
		$this->getForm();
	}
	public function delete() {

		$this->language->load('amazonauto/amazonkey');
		$this->document->setTitle($this->language->get('heading_title'));
		$this->load->model('amazonauto/amazonkey');



		if (isset($this->request->post['selected']) && $this->validateDelete()) {

			foreach ($this->request->post['selected'] as $amazonkey_group_id) {

				$this->model_amazonauto_amazonkey->deleteamazonkey($amazonkey_group_id);

			}



			$this->session->data['success'] = $this->language->get('text_success');



			$url = '';



			if (isset($this->request->get['sort'])) {

				$url .= '&sort=' . $this->request->get['sort'];

			}



			if (isset($this->request->get['order'])) {

				$url .= '&order=' . $this->request->get['order'];

			}



			if (isset($this->request->get['page'])) {

				$url .= '&page=' . $this->request->get['page'];

			}



			$this->redirect($this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . $url, 'SSL'));

		}



		$this->getList();

	}



	protected function getList() {

		if (isset($this->request->get['sort'])) {

			$sort = $this->request->get['sort'];

		} else {

			$sort = 'fgd.name';

		}



		if (isset($this->request->get['order'])) {

			$order = $this->request->get['order'];

		} else {

			$order = 'ASC';

		}



		if (isset($this->request->get['page'])) {

			$page = $this->request->get['page'];

		} else {

			$page = 1;

		}



		$url = '';



		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}



		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}



		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}



		$this->data['breadcrumbs'] = array();



		$this->data['breadcrumbs'][] = array(

			'text'      => $this->language->get('text_home'),

			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => false

		);



		$this->data['breadcrumbs'][] = array(

			'text'      => $this->language->get('heading_title'),

			'href'      => $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . $url, 'SSL'),

			'separator' => ' :: '

		);



		$this->data['insert'] = $this->url->link('amazonauto/amazonkey/insert', 'token=' . $this->session->data['token'] . $url, 'SSL');

		$this->data['delete'] = $this->url->link('amazonauto/amazonkey/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');



		$this->data['amazonkeys'] = array();



		$data = array(

			'sort'  => $sort,

			'order' => $order,

			'start' => ($page - 1) * $this->config->get('config_admin_limit'),

			'limit' => $this->config->get('config_admin_limit')

		);



		$amazonkey_total = $this->model_amazonauto_amazonkey->getTotalamazonkeyGroups();



		$results = $this->model_amazonauto_amazonkey->getamazonkeyGroups($data);



		foreach ($results as $result) {

			$action = array();



			$action[] = array(

				'text' => $this->language->get('text_edit'),

				'href' => $this->url->link('amazonauto/amazonkey/update', 'token=' . $this->session->data['token'] . '&amazonkey_group_id=' . $result['amazonkey_group_id'] . $url, 'SSL')

			);



			$this->data['amazonkeys'][] = array(

				'amazonkey_group_id' => $result['amazonkey_group_id'],

				'name'            => $result['name'],

				'sort_order'      => $result['sort_order'],

				'selected'        => isset($this->request->post['selected']) && in_array($result['amazonkey_group_id'], $this->request->post['selected']),

				'action'          => $action

			);

		}



		$this->data['heading_title'] = $this->language->get('heading_title');



		$this->data['text_no_results'] = $this->language->get('text_no_results');



		$this->data['column_group'] = $this->language->get('column_group');

		$this->data['column_sort_order'] = $this->language->get('column_sort_order');

		$this->data['column_action'] = $this->language->get('column_action');



		$this->data['button_insert'] = $this->language->get('button_insert');

		$this->data['button_delete'] = $this->language->get('button_delete');



		if (isset($this->error['warning'])) {

			$this->data['error_warning'] = $this->error['warning'];

		} else {

			$this->data['error_warning'] = '';

		}



		if (isset($this->session->data['success'])) {

			$this->data['success'] = $this->session->data['success'];



			unset($this->session->data['success']);

		} else {

			$this->data['success'] = '';

		}



		$url = '';



		if ($order == 'ASC') {

			$url .= '&order=DESC';

		} else {

			$url .= '&order=ASC';

		}
		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}
		$this->data['sort_name'] = $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . '&sort=fgd.name' . $url, 'SSL');

		$this->data['sort_sort_order'] = $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . '&sort=fg.sort_order' . $url, 'SSL');
		$url = '';
		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}
		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}
		$pagination = new Pagination();

		$pagination->total = $amazonkey_total;

		$pagination->page = $page;

		$pagination->limit = $this->config->get('config_admin_limit');

		$pagination->text = $this->language->get('text_pagination');

		$pagination->url = $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');
		$this->data['pagination'] = $pagination->render();
		$this->data['sort'] = $sort;

		$this->data['order'] = $order;
		$this->template = 'amazonauto/amazonkey_list.tpl';

		$this->children = array(

			'common/header',

			'common/footer'

		);
		$this->response->setOutput($this->render());

	}
	protected function getForm() {
		//echo $this->language->get('heading_title');
		$data['heading_title'] = $this->language->get('heading_title');
		$data['search_country'] = $this->language->get('search_country');
		$data['entry_affiliate_id'] = $this->language->get('entry_affiliate_id');
		$data['entry_access_key_id'] = $this->language->get('entry_access_key_id');
		$data['entry_secret_access_key'] = $this->language->get('entry_secret_access_key');
		$data['entry_powered'] = $this->language->get('entry_powered');
		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_add_amazonkey'] = $this->language->get('button_add_amazonkey');
		$data['button_remove'] = $this->language->get('button_remove');
		$data['text_form'] = $this->language->get('text_form');
		if (isset($this->error['warning'])) {

			$data['error_warning'] = $this->error['warning'];

		} else {

			$data['error_warning'] = '';

		}
		if (isset($this->error['error_affiliate_id'])) {

			$data['error_affiliate_id'] = $this->error['error_affiliate_id'];

		} else {

			$data['error_affiliate_id'] = array();

		}

		if (isset($this->error['error_access_key_id'])) {

			$data['error_access_key_id'] = $this->error['error_access_key_id'];

		} else {

			$data['error_access_key_id'] = array();

		}
		if (isset($this->error['error_secret_access_key'])) {

			$data['error_secret_access_key'] = $this->error['error_secret_access_key'];

		} else {

			$data['error_secret_access_key'] = array();

		}
		$url = '';
		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}
		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}
		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}
		$data['breadcrumbs'] = array();
		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('text_home'),

			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => false

		);
		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('heading_title'),

			'href'      => $this->url->link('amazonauto/amazonkey/update', 'token=' . $this->session->data['token'] . $url, 'SSL'),

			'separator' => ' :: '

		);

		if (isset($this->session->data['success'])) {

			$data['success'] = $this->session->data['success'];
			unset($this->session->data['success']);

		} else {

			$data['success'] = '';

		}
		$data['action'] = $this->url->link('amazonauto/amazonkey/update', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['cancel'] = $this->url->link('amazonauto/amazonkey/update', 'token=' . $this->session->data['token'] . $url, 'SSL');
			$amazonkey_group_info = $this->model_amazonauto_amazonkey->getAmazonkey();
		$data['token'] = $this->session->data['token'];
		$this->load->model('localisation/language');
		$data['languages'] = $this->model_localisation_language->getLanguages();
		$get_data = $this->model_amazonauto_amazonkey->getAmazonkey();

		//echo '<pre>';print_r($get_data); die();

		if (isset($this->request->post['affiliate_id'])) {
			$data['country'] = $this->request->post['country'];
		}else {
			$data['country'] = $get_data['country'];
		}
		if (isset($this->request->post['affiliate_id'])) {
			$data['affiliate_id'] = $this->request->post['affiliate_id'];
		}else {
			$data['affiliate_id'] = $get_data['affiliate_id'];
		}

		if (isset($this->request->post['access_key_id'])) {

			$data['access_key_id'] = $this->request->post['access_key_id'];

		}else {

			$data['access_key_id'] = $get_data['access_key_id'];

		}

		if (isset($this->request->post['secret_access_key'])) {

			$data['secret_access_key'] = $this->request->post['secret_access_key'];

		}else {

			$data['secret_access_key'] = $get_data['secret_access_key'];

		}
		if (isset($this->request->post['powered'])) {
			$data['powered'] = $this->request->post['powered'];
		}else {
			$data['powered'] = $get_data['powered'];
		}
		$data['array_country'] =array(
			'com' => 'US - United States',
			'co.uk' => 'UK - United Kingdom',
			'ca' => 'CA - Canada',
			'fr' => 'FR - France',
			'de' => 'DE - Germany'
			);

		$this->load->model('design/layout');

		$data['layouts'] = $this->model_design_layout->getLayouts();

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('amazonauto/amazonkey_form.tpl', $data));
	}
	protected function validateForm() {

		if (!$this->user->hasPermission('modify', 'amazonauto/amazonkey')) {

			$this->error['warning'] = $this->language->get('error_permission');

		}
			if ((utf8_strlen($this->request->post['affiliate_id']) < 1) || (utf8_strlen($this->request->post['affiliate_id']) > 64)) {

				$this->error['error_affiliate_id'] = $this->language->get('error_affiliate_id');

			}

			if ((utf8_strlen($this->request->post['access_key_id']) < 1) || (utf8_strlen($this->request->post['access_key_id']) > 64)) {

				$this->error['error_access_key_id'] = $this->language->get('error_access_key_id');

			}

			if ((utf8_strlen($this->request->post['secret_access_key']) < 1) || (utf8_strlen($this->request->post['secret_access_key']) > 64)) {

				$this->error['error_secret_access_key']= $this->language->get('error_secret_access_key');

			}
		if (!$this->error) {

			return true;

		} else {

			return false;

		}

	}
	protected function validateDelete() {
		if (!$this->user->hasPermission('modify', 'amazonauto/amazonkey')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		if (!$this->error) {
			return true;
		} else {
			return false;
		}
	}
	public function autocomplete() {

		$json = array();
		if (isset($this->request->get['amazonkey_name'])) {
			$this->load->model('amazonauto/amazonkey');
			$data = array(

				'amazonkey_name' => $this->request->get['amazonkey_name'],

				'start'       => 0,

				'limit'       => 20

			);
			$amazonkeys = $this->model_amazonauto_amazonkey->getamazonkeys($data);
			foreach ($amazonkeys as $amazonkey) {
				$json[] = array(
					'amazonkey_id' => $amazonkey['amazonkey_id'],
					'name'      => strip_tags(html_entity_decode($amazonkey['group'] . ' &gt; ' . $amazonkey['name'], ENT_QUOTES, 'UTF-8'))
				);
			}
		}
		$sort_order = array();
		foreach ($json as $key => $value) {
			$sort_order[$key] = $value['name'];
		}
		array_multisort($sort_order, SORT_ASC, $json);
		$this->response->setOutput(json_encode($json));
	}
	public function check_licence(){
			$query = $this->db->query("SELECT licence_key FROM " . DB_PREFIX . "licence");
			$get_licence_key = $query->row['licence_key'];
			$json_licnce = 'http://www.licenseengine.com/licenses/a/?action=activate_license&item_name=Azon+Store+Creator+MAX+Upgrade&license='.$get_licence_key.'&domain='.$_SERVER['SERVER_NAME'].'&product_id=168619';
			$this->response->addHeader('Content-Type: application/json');
			$this->response->setOutput(file_get_contents($json_licnce));
	}
}
?>