<?php
class ControllerAmazonautoAmazonlicense extends Controller {
	private $error = array();
	public function update() {
		$this->language->load('amazonauto/amazonlicense');
		$this->document->setTitle($this->language->get('heading_title'));
		$this->load->model('amazonauto/amazonlicense');
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			//echo "<pre>";print_r($this->request->post);die();
			$this->model_amazonauto_amazonlicense->editamazonlicense($this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$url = '';
			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}
			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}
			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}
			$this->response->redirect($this->url->link('amazonauto/amazonlicense/update', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}
		$this->getForm();
	}



	public function delete() {

		$this->language->load('amazonauto/amazonlicense');



		$this->document->setTitle($this->language->get('heading_title'));



		$this->load->model('amazonauto/amazonlicense');



		if (isset($this->request->post['selected']) && $this->validateDelete()) {

			foreach ($this->request->post['selected'] as $amazonlicense_group_id) {

				$this->model_amazonauto_amazonlicense->deleteamazonlicense($amazonlicense_group_id);

			}



			$this->session->data['success'] = $this->language->get('text_success');



			$url = '';



			if (isset($this->request->get['sort'])) {

				$url .= '&sort=' . $this->request->get['sort'];

			}



			if (isset($this->request->get['order'])) {

				$url .= '&order=' . $this->request->get['order'];

			}



			if (isset($this->request->get['page'])) {

				$url .= '&page=' . $this->request->get['page'];

			}



			$this->redirect($this->url->link('amazonauto/amazonlicense', 'token=' . $this->session->data['token'] . $url, 'SSL'));

		}



		$this->getList();

	}



	protected function getList() {

		if (isset($this->request->get['sort'])) {

			$sort = $this->request->get['sort'];

		} else {

			$sort = 'fgd.name';

		}



		if (isset($this->request->get['order'])) {

			$order = $this->request->get['order'];

		} else {

			$order = 'ASC';

		}



		if (isset($this->request->get['page'])) {

			$page = $this->request->get['page'];

		} else {

			$page = 1;

		}



		$url = '';



		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}



		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}



		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}



		$this->data['breadcrumbs'] = array();



		$this->data['breadcrumbs'][] = array(

			'text'      => $this->language->get('text_home'),

			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => false

		);



		$this->data['breadcrumbs'][] = array(

			'text'      => $this->language->get('heading_title'),

			'href'      => $this->url->link('amazonauto/amazonlicense', 'token=' . $this->session->data['token'] . $url, 'SSL'),

			'separator' => ' :: '

		);



		$this->data['insert'] = $this->url->link('amazonauto/amazonlicense/insert', 'token=' . $this->session->data['token'] . $url, 'SSL');

		$this->data['delete'] = $this->url->link('amazonauto/amazonlicense/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');



		$this->data['amazonlicenses'] = array();



		$data = array(

			'sort'  => $sort,

			'order' => $order,

			'start' => ($page - 1) * $this->config->get('config_admin_limit'),

			'limit' => $this->config->get('config_admin_limit')

		);



		$amazonlicense_total = $this->model_amazonauto_amazonlicense->getTotalamazonlicenseGroups();



		$results = $this->model_amazonauto_amazonlicense->getamazonlicenseGroups($data);



		foreach ($results as $result) {

			$action = array();



			$action[] = array(

				'text' => $this->language->get('text_edit'),

				'href' => $this->url->link('amazonauto/amazonlicense/update', 'token=' . $this->session->data['token'] . '&amazonlicense_group_id=' . $result['amazonlicense_group_id'] . $url, 'SSL')

			);



			$this->data['amazonlicenses'][] = array(

				'amazonlicense_group_id' => $result['amazonlicense_group_id'],

				'name'            => $result['name'],

				'sort_order'      => $result['sort_order'],

				'selected'        => isset($this->request->post['selected']) && in_array($result['amazonlicense_group_id'], $this->request->post['selected']),

				'action'          => $action

			);

		}



		$this->data['heading_title'] = $this->language->get('heading_title');



		$this->data['text_no_results'] = $this->language->get('text_no_results');



		$this->data['column_group'] = $this->language->get('column_group');

		$this->data['column_sort_order'] = $this->language->get('column_sort_order');

		$this->data['column_action'] = $this->language->get('column_action');



		$this->data['button_insert'] = $this->language->get('button_insert');

		$this->data['button_delete'] = $this->language->get('button_delete');



		if (isset($this->error['warning'])) {

			$this->data['error_warning'] = $this->error['warning'];

		} else {

			$this->data['error_warning'] = '';

		}



		if (isset($this->session->data['success'])) {

			$this->data['success'] = $this->session->data['success'];



			unset($this->session->data['success']);

		} else {

			$this->data['success'] = '';

		}



		$url = '';



		if ($order == 'ASC') {

			$url .= '&order=DESC';

		} else {

			$url .= '&order=ASC';

		}



		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}



		$this->data['sort_name'] = $this->url->link('amazonauto/amazonlicense', 'token=' . $this->session->data['token'] . '&sort=fgd.name' . $url, 'SSL');

		$this->data['sort_sort_order'] = $this->url->link('amazonauto/amazonlicense', 'token=' . $this->session->data['token'] . '&sort=fg.sort_order' . $url, 'SSL');



		$url = '';



		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}



		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}



		$pagination = new Pagination();

		$pagination->total = $amazonlicense_total;

		$pagination->page = $page;

		$pagination->limit = $this->config->get('config_admin_limit');

		$pagination->text = $this->language->get('text_pagination');

		$pagination->url = $this->url->link('amazonauto/amazonlicense', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');



		$this->data['pagination'] = $pagination->render();



		$this->data['sort'] = $sort;

		$this->data['order'] = $order;



		$this->template = 'amazonauto/amazonlicense_list.tpl';

		$this->children = array(

			'common/header',

			'common/footer'

		);



		$this->response->setOutput($this->render());

	}



	protected function getForm() {
		//echo $this->language->get('heading_title');
		$data['heading_title'] = $this->language->get('heading_title');
		$data['entry_license_key'] = $this->language->get('entry_license_key');

		//$data['entry_sort_order'] = $this->language->get('entry_sort_order');
		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_add_amazonlicense'] = $this->language->get('button_add_amazonlicense');
		$data['button_remove'] = $this->language->get('button_remove');
		$data['text_form'] = $this->language->get('text_form');
		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}
		if (isset($this->error['error_licence_key'])) {
			$data['error_licence_key'] = $this->error['error_licence_key'];
		} else {
			$data['error_licence_key'] = array();
		}
		$url = '';
		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}
		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}
		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}
		$data['breadcrumbs'] = array();
		$data['breadcrumbs'][] = array(
			'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
			'separator' => false
		);
		$data['breadcrumbs'][] = array(
			'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('amazonauto/amazonlicense/update', 'token=' . $this->session->data['token'] . $url, 'SSL'),
			'separator' => ' :: '
		);
		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];
			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}
		$data['action'] = $this->url->link('amazonauto/amazonlicense/update', 'token=' . $this->session->data['token'] . $url, 'SSL');
		$data['cancel'] = $this->url->link('amazonauto/amazonlicense/update', 'token=' . $this->session->data['token'] . $url, 'SSL');
		//$amazonlicense_group_info = $this->model_amazonauto_amazonlicense->getamazonlicense();
		$data['token'] = $this->session->data['token'];



		$this->load->model('localisation/language');



		$data['languages'] = $this->model_localisation_language->getLanguages();





		$get_data = $this->model_amazonauto_amazonlicense->getamazonlicense();

		//echo '<pre>';print_r($get_data);

		if (isset($this->request->post['licence_key'])) {
			$data['licence_key'] = $this->request->post['licence_key'];
		}else {
			$data['licence_key'] = $get_data['licence_key'];

		}



		$this->load->model('design/layout');

		$data['layouts'] = $this->model_design_layout->getLayouts();

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('amazonauto/amazonlicense_form.tpl', $data));


	}



	protected function validateForm() {

		if (!$this->user->hasPermission('modify', 'amazonauto/amazonlicense')) {

			$this->error['warning'] = $this->language->get('error_permission');

		}

			if ((utf8_strlen($this->request->post['licence_key']) < 1) || (utf8_strlen($this->request->post['licence_key']) > 64)) {

				$this->error['error_licence_key'] = $this->language->get('error_licence_key');

			}


		if (!$this->error) {

			return true;

		} else {

			return false;

		}

	}



	protected function validateDelete() {

		if (!$this->user->hasPermission('modify', 'amazonauto/amazonlicense')) {

			$this->error['warning'] = $this->language->get('error_permission');

		}



		if (!$this->error) {

			return true;

		} else {

			return false;

		}

	}



	public function autocomplete() {

		$json = array();



		if (isset($this->request->get['amazonlicense_name'])) {

			$this->load->model('amazonauto/amazonlicense');



			$data = array(

				'amazonlicense_name' => $this->request->get['amazonlicense_name'],

				'start'       => 0,

				'limit'       => 20

			);



			$amazonlicenses = $this->model_amazonauto_amazonlicense->getamazonlicenses($data);



			foreach ($amazonlicenses as $amazonlicense) {

				$json[] = array(

					'amazonlicense_id' => $amazonlicense['amazonlicense_id'],

					'name'      => strip_tags(html_entity_decode($amazonlicense['group'] . ' &gt; ' . $amazonlicense['name'], ENT_QUOTES, 'UTF-8'))

				);

			}

		}



		$sort_order = array();



		foreach ($json as $key => $value) {

			$sort_order[$key] = $value['name'];

		}



		array_multisort($sort_order, SORT_ASC, $json);



		$this->response->setOutput(json_encode($json));

	}
	public function check_licence(){
			$query = $this->db->query("SELECT licence FROM " . DB_PREFIX . "licence");
			$get_licence_key = $query->row['licence'];
			$json_licnce = 'http://www.licenseengine.com/licenses/a/?action=activate_license&item_name=Azon+Store+Creator+MAX+Upgrade&license='.$get_licence_key.'&domain='.$_SERVER['SERVER_NAME'].'&product_id=168619';
			$this->response->addHeader('Content-Type: application/json');
			$this->response->setOutput(file_get_contents($json_licnce));
	}

}
?>