<?php

class ControllerAmazonautoProduct extends Controller { 

	private $error = array();



	public function search() {

		$this->load->language('amazonauto/product');



		$this->document->setTitle($this->language->get('heading_title'));



		$this->load->model('amazonauto/product');

		

		if (isset($this->session->data['success'])) {

			$data['success'] = $this->session->data['success'];



			unset($this->session->data['success']);

		} else {

			$data['success'] = '';

		}



		$this->getSearchForm();

	}



	public function delete() {

		$this->language->load('amazonauto/amazonkey');



		$this->document->setTitle($this->language->get('heading_title'));



		$this->load->model('amazonauto/amazonkey');



		if (isset($this->request->post['selected']) && $this->validateDelete()) {

			foreach ($this->request->post['selected'] as $amazonkey_group_id) {

				$this->model_amazonauto_amazonkey->deleteamazonkey($amazonkey_group_id);

			}



			$this->session->data['success'] = $this->language->get('text_success');



			$url = '';



			if (isset($this->request->get['sort'])) {

				$url .= '&sort=' . $this->request->get['sort'];

			}



			if (isset($this->request->get['order'])) {

				$url .= '&order=' . $this->request->get['order'];

			}



			if (isset($this->request->get['page'])) {

				$url .= '&page=' . $this->request->get['page'];

			}



			$this->redirect($this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . $url, 'SSL'));

		}



		$this->getList();

	}



	protected function getList() {

		if (isset($this->request->get['sort'])) {

			$sort = $this->request->get['sort'];

		} else {

			$sort = 'fgd.name';

		}



		if (isset($this->request->get['order'])) {

			$order = $this->request->get['order'];

		} else {

			$order = 'ASC';

		}



		if (isset($this->request->get['page'])) {

			$page = $this->request->get['page'];

		} else {

			$page = 1;

		}



		$url = '';



		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}



		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}



		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}



		$data['breadcrumbs'] = array();



		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('text_home'),

			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => false

		);



		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('heading_title'),

			'href'      => $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . $url, 'SSL'),

			'separator' => ' :: '

		);



		$data['insert'] = $this->url->link('amazonauto/amazonkey/insert', 'token=' . $this->session->data['token'] . $url, 'SSL');

		$data['delete'] = $this->url->link('amazonauto/amazonkey/delete', 'token=' . $this->session->data['token'] . $url, 'SSL');



		$data['amazonkeys'] = array();



		$data = array(

			'sort'  => $sort,

			'order' => $order,

			'start' => ($page - 1) * $this->config->get('config_admin_limit'),

			'limit' => $this->config->get('config_admin_limit')

		);



		$amazonkey_total = $this->model_amazonauto_amazonkey->getTotalamazonkeyGroups();



		$results = $this->model_amazonauto_amazonkey->getamazonkeyGroups($data);



		foreach ($results as $result) {

			$action = array();



			$action[] = array(

				'text' => $this->language->get('text_edit'),

				'href' => $this->url->link('amazonauto/amazonkey/update', 'token=' . $this->session->data['token'] . '&amazonkey_group_id=' . $result['amazonkey_group_id'] . $url, 'SSL')

			);



			$data['amazonkeys'][] = array(

				'amazonkey_group_id' => $result['amazonkey_group_id'],

				'name'            => $result['name'],

				'sort_order'      => $result['sort_order'],

				'selected'        => isset($this->request->post['selected']) && in_array($result['amazonkey_group_id'], $this->request->post['selected']),

				'action'          => $action

			);

		}



		$data['heading_title'] = $this->language->get('heading_title');



		$data['text_no_results'] = $this->language->get('text_no_results');



		$data['column_group'] = $this->language->get('column_group');

		$data['column_sort_order'] = $this->language->get('column_sort_order');

		$data['column_action'] = $this->language->get('column_action');	



		$data['button_insert'] = $this->language->get('button_insert');

		$data['button_delete'] = $this->language->get('button_delete');



		if (isset($this->error['warning'])) {

			$data['error_warning'] = $this->error['warning'];

		} else {

			$data['error_warning'] = '';

		}



		if (isset($this->session->data['success'])) {

			$data['success'] = $this->session->data['success'];



			unset($this->session->data['success']);

		} else {

			$data['success'] = '';

		}



		$url = '';



		if ($order == 'ASC') {

			$url .= '&order=DESC';

		} else {

			$url .= '&order=ASC';

		}



		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}



		$data['sort_name'] = $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . '&sort=fgd.name' . $url, 'SSL');

		$data['sort_sort_order'] = $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . '&sort=fg.sort_order' . $url, 'SSL');



		$url = '';



		if (isset($this->request->get['sort'])) {

			$url .= '&sort=' . $this->request->get['sort'];

		}



		if (isset($this->request->get['order'])) {

			$url .= '&order=' . $this->request->get['order'];

		}



		$pagination = new Pagination();

		$pagination->total = $amazonkey_total;

		$pagination->page = $page;

		$pagination->limit = $this->config->get('config_admin_limit');

		$pagination->text = $this->language->get('text_pagination');

		$pagination->url = $this->url->link('amazonauto/amazonkey', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');



		$data['pagination'] = $pagination->render();



		$data['sort'] = $sort;

		$data['order'] = $order;



		$this->template = 'amazonauto/amazonkey_list.tpl';

		$this->children = array(

			'common/header',

			'common/footer'

		);



		$this->response->setOutput($this->render());

	}



	protected function getSearchForm() {

		$this->load->model('localisation/language');



		$data['heading_title'] = $this->language->get('heading_title');



		$data['breadcrumbs'] = array();



		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('text_home'),

			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => false

		);



		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('heading_title'),

			'href'      => $this->url->link('amazonauto/product/search', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => ' :: '

		);



		$data['action'] = $this->url->link('amazonauto/product/filter', 'token=' . $this->session->data['token'], 'SSL');

		



		$data['cancel'] = $this->url->link('amazonauto/product/search', 'token=' . $this->session->data['token'], 'SSL');



		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['button_filter'] = $this->language->get('button_filter');



		$data['token'] = $this->session->data['token'];



		$data['languages'] = $this->model_localisation_language->getLanguages();



		$data['sort_order'] = '0';

		

		

		$cat_results = $this->model_amazonauto_product->getcategoryList();

		$data['cat_result'] = $cat_results;

		

		$data['search_category_id'] = '';

		$data['search_keyword_val'] ='';

		

		

		$data['search_asin'] = $this->language->get('search_asin');

		$data['search_keyword'] = $this->language->get('search_keyword');



		$data['search_category'] = $this->language->get('search_category');

		$data['search_country'] = $this->language->get('search_country');

		

		$data['search_type'] = $this->language->get('search_type');

		$data['search_bestsellers'] = $this->language->get('search_bestsellers');

		$data['search_new_releases'] = $this->language->get('search_new_releases');

		$data['search_top_rated'] = $this->language->get('search_top_rated');

		$data['entry_frequency'] = $this->language->get('entry_frequency');

		$data['entry_trial_price'] = $this->language->get('entry_trial_price');

		$data['entry_trial_duration'] = $this->language->get('entry_trial_duration');

		$data['entry_trial_status'] = $this->language->get('entry_trial_status');

		$data['entry_trial_cycle'] = $this->language->get('entry_trial_cycle');

		$data['entry_trial_frequency'] = $this->language->get('entry_trial_frequency');



		$data['button_add_profile'] = $this->language->get('button_add_profile');

		$data['text_enabled'] = $this->language->get('text_enabled');

		$data['text_disabled'] = $this->language->get('text_disabled');



		$data['text_recurring_help'] = $this->language->get('text_recurring_help');

		$data['text_form'] = $this->language->get('text_form');

		

		$data['array_country'] =array(

			'com' => 'US - United States',

			'co.uk' => 'UK - United Kingdom',

			'CA' => 'CA - Canada',

			'CN' => 'CN - China',

			'FR' => 'FR - France',

			'DE' => 'DE - Germany',

			'IT' => 'IT - Italy',

			'co.jp' => 'JP - Japan',

			'ES' => 'ES - Spain'

			);

		$data['products'] = array();

		$data['search_page'] = false;

		//$data['frequencies'] = $this->model_catalog_profile->getFrequencies();



		if (isset($this->request->get['profile_id'])) {

			$profile = $this->model_catalog_profile->getProfile($this->request->get['profile_id']);

		} else {

			$profile = array();

		}



		if (isset($this->request->post['profile_description'])) {

			$data['profile_description'] = $this->request->post['profile_description'];

		} elseif (!empty($profile)) {

			$data['profile_description'] = $this->model_catalog_profile->getProfileDescription($profile['profile_id']);

		} else {

			$data['profile_description'] = array();

		}



		if (isset($this->request->post['sort_order'])) {

			$data['sort_order'] = $this->request->post['sort_order'];

		} elseif (!empty($profile)) {

			$data['sort_order'] = $profile['sort_order'];

		} else {

			$data['sort_order'] = 0;

		}



		if (isset($this->request->post['status'])) {

			$data['status'] = $this->request->post['status'];

		} elseif (!empty($profile)) {

			$data['status'] = $profile['status'];

		} else {

			$data['status'] = 0;

		}



		if (isset($this->request->post['price'])) {

			$data['price'] = $this->request->post['price'];

		} elseif (!empty($profile)) {

			$data['price'] = $profile['price'];

		} else {

			$data['price'] = 0;

		}



		if (isset($this->request->post['frequency'])) {

			$data['frequency'] = $this->request->post['frequency'];

		} elseif (!empty($profile)) {

			$data['frequency'] = $profile['frequency'];

		} else {

			$data['frequency'] = '';

		}



		if (isset($this->request->post['duration'])) {

			$data['duration'] = $this->request->post['duration'];

		} elseif (!empty($profile)) {

			$data['duration'] = $profile['duration'];

		} else {

			$data['duration'] = 0;

		}



		if (isset($this->request->post['cycle'])) {

			$data['cycle'] = $this->request->post['cycle'];

		} elseif (!empty($profile)) {

			$data['cycle'] = $profile['cycle'];

		} else {

			$data['cycle'] = 1;

		}



		if (isset($this->request->post['trial_status'])) {

			$data['trial_status'] = $this->request->post['trial_status'];

		} elseif (!empty($profile)) {

			$data['trial_status'] = $profile['trial_status'];

		} else {

			$data['trial_status'] = 0;

		}



		if (isset($this->request->post['trial_price'])) {

			$data['trial_price'] = $this->request->post['trial_price'];

		} elseif (!empty($profile)) {

			$data['trial_price'] = $profile['trial_price'];

		} else {

			$data['trial_price'] = 0.00;

		}



		if (isset($this->request->post['trial_frequency'])) {

			$data['trial_frequency'] = $this->request->post['trial_frequency'];

		} elseif (!empty($profile)) {

			$data['trial_frequency'] = $profile['trial_frequency'];

		} else {

			$data['trial_frequency'] = '';

		}



		if (isset($this->request->post['trial_duration'])) {

			$data['trial_duration'] = $this->request->post['trial_duration'];

		} elseif (!empty($profile)) {

			$data['trial_duration'] = $profile['trial_duration'];

		} else {

			$data['trial_duration'] = '0';

		}



		if (isset($this->request->post['trial_cycle'])) {

			$data['trial_cycle'] = $this->request->post['trial_cycle'];

		} elseif (!empty($profile)) {

			$data['trial_cycle'] = $profile['trial_cycle'];

		} else {

			$data['trial_cycle'] = '1';

		}



		if (isset($this->error['warning'])) {

			$data['error_warning'] = $this->error['warning'];

		} else {

			$data['error_warning'] = '';

		}

		$data['success'] = '';



		if (isset($this->error['name'])) {

			$data['error_name'] = $this->error['name'];

		} else {

			$data['error_name'] = array();

		}

		

		

		$this->load->model('design/layout');

		$data['layouts'] = $this->model_design_layout->getLayouts();

		$data['header'] = $this->load->controller('common/header');

		$data['column_left'] = $this->load->controller('common/column_left');

		$data['footer'] = $this->load->controller('common/footer');



		$this->response->setOutput($this->load->view('amazonauto/product_search_form.tpl', $data));

	}



	protected function validateForm() {

		if (!$this->user->hasPermission('modify', 'amazonauto/amazonkey')) {

			$this->error['warning'] = $this->language->get('error_permission');

		}

		

		

			if ((utf8_strlen($this->request->post['affiliate_id']) < 1) || (utf8_strlen($this->request->post['affiliate_id']) > 64)) {

				$this->error['error_affiliate_id'] = $this->language->get('error_affiliate_id');

			}

			if ((utf8_strlen($this->request->post['access_key_id']) < 1) || (utf8_strlen($this->request->post['access_key_id']) > 64)) {

				$this->error['error_access_key_id'] = $this->language->get('error_access_key_id');

			}

			if ((utf8_strlen($this->request->post['secret_access_key']) < 1) || (utf8_strlen($this->request->post['secret_access_key']) > 64)) {

				$this->error['error_secret_access_key']= $this->language->get('error_secret_access_key');

			}

			

		



		if (!$this->error) {

			return true;

		} else {

			return false;

		}

	}



	protected function validateDelete() {

		if (!$this->user->hasPermission('modify', 'amazonauto/amazonkey')) {

			$this->error['warning'] = $this->language->get('error_permission');

		}



		if (!$this->error) {

			return true;

		} else {

			return false;

		}

	}	



	public function autocomplete() {

		$json = array();



		if (isset($this->request->get['amazonkey_name'])) {

			$this->load->model('amazonauto/amazonkey');



			$data = array(

				'amazonkey_name' => $this->request->get['amazonkey_name'],

				'start'       => 0,

				'limit'       => 20

			);



			$amazonkeys = $this->model_amazonauto_amazonkey->getamazonkeys($data);



			foreach ($amazonkeys as $amazonkey) {				

				$json[] = array(

					'amazonkey_id' => $amazonkey['amazonkey_id'],

					'name'      => strip_tags(html_entity_decode($amazonkey['group'] . ' &gt; ' . $amazonkey['name'], ENT_QUOTES, 'UTF-8'))

				);

			}

		}



		$sort_order = array();



		foreach ($json as $key => $value) {

			$sort_order[$key] = $value['name'];

		}



		array_multisort($sort_order, SORT_ASC, $json);



		$this->response->setOutput(json_encode($json));

	}

	

	

	

	public function filter(){

		$this->language->load('amazonauto/product');



		$this->document->setTitle($this->language->get('heading_title'));



		$this->load->model('amazonauto/product');

		$get_data = $this->model_amazonauto_product->getAmazonkey();

		$affiliate_id = $get_data['affiliate_id'];

		$access_key_id = $get_data['access_key_id'];

		$secret_access_key = $get_data['secret_access_key'];

		

		if (isset($this->request->post['keyword'])) {

			$keyword = $this->request->post['keyword'];

		} else if(isset($this->request->get['keyword'])){

			$keyword = $this->request->get['keyword'];

		}else{

			$keyword = 'All';

		}

		

		if (isset($this->request->post['category'])) {

			$category = $this->request->post['category'];

		} else if($this->request->get['category']){

			$category = $this->request->get['category'];

		}else{

			$category = '';

		}

		

		if (isset($this->request->post['country'])) {

			$country = $this->request->post['country'];

		} else if($this->request->get['country']){

			$country = $this->request->get['country'];

		}else{

			$country = '';

		}

		

		if (isset($this->request->get['page'])) {

			$page = $this->request->get['page'];

		} else {

			$page = 1;

		}

		

		$this->load->library('AmazonECS.class');

		$amazonEcs = new AmazonECS($access_key_id, $secret_access_key, 'com', $affiliate_id);

		//echo '<pre>';print_r($this->request->post);die();

		

		//$amazonEcs->category('All');

		$amazonEcs->category($category);

		//$amazonEcs->category('Credit and Payment Cards');

		//echo $category;die();

		$amazonEcs->responseGroup('Large');

		$amazonEcs->returnType(AmazonECS::RETURN_TYPE_ARRAY);

		$amazonEcs->country($country); // country

		

		$amazonEcs->page($page);

		$response_final = $amazonEcs->search($keyword);// search keyword

		//$response_final = $amazonEcs->search('All');

		//$response_final = $amazonEcs->lookup('B001PGTNK6');

		

		//echo '<pre>';print_r($response_final);die();

		

		$data['products'] = array();

		$data['search_page'] = true;

		

		$data['search_category_id'] = $category;

		

		if($keyword == 'All'){

			$data['search_keyword_val'] = '';	

		}else{

			$data['search_keyword_val'] = $keyword;

		}

		$data['text_form'] = $this->language->get('text_form');

		

		if (isset($this->session->data['success'])) {

			$data['success'] = $this->session->data['success'];



			unset($this->session->data['success']);

		} else {

			$data['success'] = '';

		}

		

		$this->load->model('tool/image');

		

		$i=0;

		$product_total = 0;

		if(isset($response_final['Items']['Item'])){

		

			$product_total = $response_final['Items']['TotalResults'];

			foreach ($response_final['Items']['Item'] as $singleItem)

			{

				//echo $singleItem['EditorialReviews']['EditorialReview']['Content'];die();

				$title = $singleItem['ItemAttributes']['Title'];

				if (mb_strlen($title) > 70)

				{

					$title = substr($title,0, 70);

				}

				$desc = isset($singleItem['EditorialReviews']['EditorialReview']['Content']) ? $singleItem['EditorialReviews']['EditorialReview']['Content'] : '';

				$desc1 = isset($singleItem['ItemAttributes']['Feature'][0]) ? '<p>'.$singleItem['ItemAttributes']['Feature'][0].'</p>' : '';

				$desc2 = isset($singleItem['ItemAttributes']['Feature'][1]) ? '<p>'.$singleItem['ItemAttributes']['Feature'][1].'</p>' : '';

				$desc3 = isset($singleItem['ItemAttributes']['Feature'][2]) ? '<p>'.$singleItem['ItemAttributes']['Feature'][2].'</p>' : '';

				$desc4 = isset($singleItem['ItemAttributes']['Feature'][3]) ? '<p>'.$singleItem['ItemAttributes']['Feature'][3].'</p>' : '';

				$desc5 = isset($singleItem['ItemAttributes']['Feature'][4]) ? '<p>'.$singleItem['ItemAttributes']['Feature'][4].'</p>' : '';

				$feature1 = $desc . " ". $desc1 . " " . $desc2 . " " . $desc3 . " " . $desc4 . " " . $desc5;

				if (strpos($feature1,'&') !== false) {

					$feature = str_replace("&", "and", $feature1);

				} else {

					$feature = $feature1;

				}

				$feature = base64_encode($feature);

				//$feature .=  "<iframe src=".$singleItem['CustomerReviews']['IFrameURL']." width='800' height='200'></iframe>";

				

				if(isset($singleItem['ItemAttributes']['ItemDimensions']['Length']['_'])){

					$length =($singleItem['ItemAttributes']['ItemDimensions']['Length']['_'])/100;

				}else{

					$length = '';	

				}

				if(isset($singleItem['ItemAttributes']['ItemDimensions']['Width']['_'])){

					$width =($singleItem['ItemAttributes']['ItemDimensions']['Width']['_'])/100;

				}else{

					$width = '';	

				}

				if(isset($singleItem['ItemAttributes']['ItemDimensions']['Height']['_'])){

					$height =($singleItem['ItemAttributes']['ItemDimensions']['Height']['_'])/100;

				}else{

					$height = '';	

				}

				if(isset($singleItem['ItemAttributes']['ItemDimensions']['Weight']['_'])){

					$weight =($singleItem['ItemAttributes']['ItemDimensions']['Weight']['_'])/100;

				}else{

					$weight = '';	

				}

				

				if(isset($singleItem['MediumImage']['URL'])){

					$img_url =$singleItem['MediumImage']['URL'];

				}elseif(isset($singleItem['MediumImage']['URL'])){

					$img_url =$singleItem['SmallImage']['URL'];

				}elseif(isset($singleItem['LargeImage']['URL'])){

					$img_url = $singleItem['LargeImage']['URL'];

				}else{

					$img_url = '';

				}

				

				

				if(isset($singleItem['OfferSummary']['LowestNewPrice']['FormattedPrice'])){

					if($singleItem['OfferSummary']['LowestNewPrice']['FormattedPrice'] != 'Too low to display'){

						$special = $singleItem['OfferSummary']['LowestNewPrice']['FormattedPrice'];

					}else{

						$special = '';

					}

				}else{

					$special = '';

				}

				

				

				$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "product WHERE sku = '".$this->db->escape($singleItem['ASIN'])."'");

				$products_count = $query->rows ? count($query->rows) : 0;

				

				$data['products'][] = array(

					'name'       => $singleItem['ItemAttributes']['Title'],

					'ASIN'      =>$singleItem['ASIN'],

					'MPN'      =>  isset($singleItem['ItemAttributes']['MPN']) ? $singleItem['ItemAttributes']['MPN'] : '' ,

					'EAN'      => isset($singleItem['ItemAttributes']['EAN']) ? $singleItem['ItemAttributes']['EAN'] : '' ,

					'amount'      => isset($singleItem['ItemAttributes']['ListPrice']['Amount']) ? $singleItem['ItemAttributes']['ListPrice']['Amount']/100 : '' ,

					'price'      => isset($singleItem['ItemAttributes']['ListPrice']['FormattedPrice']) ? $singleItem['ItemAttributes']['ListPrice']['FormattedPrice'] : '' ,

					'manufacturer'      => isset($singleItem['ItemAttributes']['Manufacturer']) ? $singleItem['ItemAttributes']['Manufacturer'] : '' ,

					'model'      => isset($singleItem['ItemAttributes']['Model']) ? $singleItem['ItemAttributes']['Model'] : '' ,

					'SKU'      => isset($singleItem['ItemAttributes']['SKU']) ? $singleItem['ItemAttributes']['SKU'] : '' ,

					'special'    => $special,

					'image'      => $img_url,

					'description'      => $feature,

					'length'      => $length,

					'width'      => $width,

					'height'      => $height,

					'weight'      => $weight,

					'amazon_reviews'      => isset($singleItem['CustomerReviews']['IFrameURL']) ? $singleItem['CustomerReviews']['IFrameURL'] : '' ,

					'products_count' => $products_count

					

				);

			}

		}

		$this->load->model('localisation/language');



		$data['heading_title'] = $this->language->get('heading_title');



		$data['breadcrumbs'] = array();



		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('text_home'),

			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => false

		);



		$data['breadcrumbs'][] = array(

			'text'      => $this->language->get('heading_title'),

			'href'      => $this->url->link('amazonauto/product/search', 'token=' . $this->session->data['token'], 'SSL'),

			'separator' => ' :: '

		);



		$data['action'] = $this->url->link('amazonauto/product/filter', 'token=' . $this->session->data['token'], 'SSL');

	

		$data['cancel'] = $this->url->link('amazonauto/product/search', 'token=' . $this->session->data['token'], 'SSL');

		

		$data['insert'] = $this->url->link('amazonauto/product/insert', 'token=' . $this->session->data['token'], 'SSL');

		$data['button_cancel'] = $this->language->get('button_cancel');

		$data['button_filter'] = $this->language->get('button_filter');

		$data['button_insert'] = $this->language->get('button_insert');

		$data['button_insert'] = $this->language->get('button_insert');



		$data['token'] = $this->session->data['token'];



		$data['languages'] = $this->model_localisation_language->getLanguages();

		

		$cat_results = $this->model_amazonauto_product->getcategoryList();

		$data['cat_result'] = $cat_results;

		$data['search_asin'] = $this->language->get('search_asin');

		$data['search_keyword'] = $this->language->get('search_keyword');



		$data['search_category'] = $this->language->get('search_category');

		$data['search_country'] = $this->language->get('search_country');

		$data['array_country'] =array(

			'com' => 'US - United States',

			'co.uk' => 'UK - United Kingdom',

			'CA' => 'CA - Canada',

			'CN' => 'CN - China',

			'FR' => 'FR - France',

			'DE' => 'DE - Germany',

			'IT' => 'IT - Italy',

			'co.jp' => 'JP - Japan',

			'ES' => 'ES - Spain'

			);

		$data['column_image'] = $this->language->get('column_image');		

		$data['column_name'] = $this->language->get('column_name');		

		$data['column_asin'] = $this->language->get('column_asin');		

		$data['column_model'] = $this->language->get('column_model');		

		$data['column_price'] = $this->language->get('column_price');		

		$data['column_quantity'] = $this->language->get('column_quantity');		

		$data['column_status'] = $this->language->get('column_status');		

		$data['column_action'] = $this->language->get('column_action');	

		

		$data['text_no_results'] = $this->language->get('text_no_results');

		

		

		if (isset($this->error['warning'])) {

			$data['error_warning'] = $this->error['warning'];

		} else {

			$data['error_warning'] = '';

		}



		if (isset($this->error['name'])) {

			$data['error_name'] = $this->error['name'];

		} else {

			$data['error_name'] = array();

		}

		

		$url = '';

		

		if ($keyword != '') {

			$url .= '&keyword=' . $keyword;

		}

		if ($category != '') {

			$url .= '&category=' . $category;

		}

		if ($country != '') {

			$url .= '&country=' . $country;

		}

		

		

		

		if (isset($this->request->get['page'])) {

			$url .= '&page=' . $this->request->get['page'];

		}

		

		$pagination = new Pagination();

		$pagination->total = $product_total;

		$pagination->page = $page;

		$pagination->limit = $this->config->get('config_admin_limit');

		$pagination->text = $this->language->get('text_pagination');

		$pagination->url = $this->url->link('amazonauto/product/filter', 'token=' . $this->session->data['token'] . $url . '&page={page}', 'SSL');



		$data['pagination'] = $pagination->render();



		

		

		

		$this->load->model('design/layout');

		$data['layouts'] = $this->model_design_layout->getLayouts();

		$data['header'] = $this->load->controller('common/header');

		$data['column_left'] = $this->load->controller('common/column_left');

		$data['footer'] = $this->load->controller('common/footer');



		$this->response->setOutput($this->load->view('amazonauto/product_search_form.tpl', $data));

		

		

		

		

	}

	public function insert() {

		

		$this->language->load('amazonauto/product');



		$this->document->setTitle($this->language->get('heading_title'));



		$this->load->model('amazonauto/product');



		if ($this->request->server['REQUEST_METHOD'] == 'POST') {

			$selected =$this->request->post['selected'];

			//echo '<pre>';print_r($_POST);die();

			

			foreach($selected as $val => $key){

				$name = $this->request->post['name'][$key];

				

				if($this->request->post['model'][$key] != ''){

					$model = $this->request->post['model'][$key];

				}else if($this->request->post['mpn'][$key] != ''){

					$model = $this->request->post['mpn'][$key];

				}else if($this->request->post['ean'][$key] != ''){

					$model = $this->request->post['ean'][$key];

				}else{

					$model = $this->request->post['asin'][$key];

				}

				

				$sku = $this->request->post['sku'][$key];

				$upc = $this->request->post['upc'][$key];

				if(isset($this->request->post['quantity'][$key])){

					$quantity = $this->request->post['quantity'][$key];

				}else{

					$quantity = rand(1, 999);

				}

				

				$image = $this->request->post['image'][$key];

				$weight = $this->request->post['weight'][$key];

				$length = $this->request->post['length'][$key];

				$height = $this->request->post['height'][$key];

				$description = base64_decode($this->request->post['description'][$key]);

				$asin = $this->request->post['asin'][$key];

				$price = $this->request->post['price'][$key];

				$mpn = $this->request->post['mpn'][$key];

				$ean = $this->request->post['ean'][$key];

				$manufacturer = $this->request->post['manufacturer'][$key];

				$amazon_reviews = $this->request->post['amazon_reviews'][$key];

				

				if($this->request->post['special'][$key] != ''){

					$special = $str = substr($this->request->post['special'][$key], 1);

				}

				

				if (isset($this->request->post['category_id'])) {

					$category_id =$this->request->post['category_id'];

				}

				

				

				//echo DIR_IMAGE;die();

				

				$image = trim($image);

				$dir ="";

				if($image){

					$file = fopen($image,"rb");

					if($file){

						$directory = DIR_IMAGE . 'catalog/demo/'; // Directory to upload files to.

						$valid_exts = array("jpg","jpeg","gif","png"); // default image only extensions

						$spl = explode(".",strtolower($image));

						$ext = end($spl);

						if(in_array($ext,$valid_exts)){

							$rand = rand(1000,99999999);

							$filename = $rand . ".jpg";

							$newfile = fopen($directory . $filename, "wb"); // creating new file on local server

							if($newfile){

								while(!feof($file)){

									// Write the url file to the directory.

									fwrite($newfile,fread($file,1024 * 8),1024 * 8); // write the file to the new directory at a rate of 8kb/sec. until we reach the end.

								}

								$image = "catalog/demo/" . $filename;

							}

						}

					}

				}

				//die();

				$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "product WHERE sku = '".$this->db->escape($asin)."'");

				//echo "SELECT * FROM " . DB_PREFIX . "product WHERE sku = '".$this->db->escape($asin)."'";die();

				$products_count = $query->rows ? count($query->rows) : 0;

				

				if($products_count > 0){

					$this->db->query("UPDATE " . DB_PREFIX . "product SET model = '" . $this->db->escape($model) . "', sku = '" . $this->db->escape($asin) . "', upc = '" . $this->db->escape($upc) . "', ean = '" . $this->db->escape($ean) . "', mpn = '" . $this->db->escape($mpn) . "', image = '" . $this->db->escape(html_entity_decode($image, ENT_QUOTES, 'UTF-8')) . "', price = '" . $this->db->escape($price) . "' WHERE sku = '" . $this->db->escape($asin) . "'");

					

					

					



					$query = $this->db->query("SELECT product_id FROM " . DB_PREFIX . "product WHERE sku = '" . $this->db->escape($asin) . "'");



					$product_id = $query->row['product_id'];

					

					$this->db->query("UPDATE " . DB_PREFIX . "product_description SET name = '" . $this->db->escape($name) . "', description = '" . $this->db->escape($description) . "' WHERE product_id = '" . $product_id . "'");

					

					$this->db->query("UPDATE " . DB_PREFIX . "product_special SET price = '" . (float)$special. "' WHERE product_id = '" . $product_id . "'");

				}else{

					$this->db->query("INSERT INTO " . DB_PREFIX . "product(model, sku, upc, ean, mpn, quantity, stock_status_id, image, price, date_available, weight, weight_class_id, length, height, length_class_id, sort_order, status, date_added, amazon_reviews)

					VALUES('".$this->db->escape($model)."', '".$this->db->escape($asin)."', '".$this->db->escape($upc)."', '".$this->db->escape($ean)."', '".$this->db->escape($mpn)."', '".(int)$quantity."', 5, '".$this->db->escape(html_entity_decode($image, ENT_QUOTES, 'UTF-8'))."', '".$price."', now(), '".$weight."', 5, '".$length."',  '".$height."', 3, 1, 1, now(), '".$this->db->escape($amazon_reviews)."')");

					$last_id = $this->db->getLastId();

					

					

					$this->db->query("INSERT INTO " . DB_PREFIX . "product_description(product_id,language_id,name,description, meta_title)

					VALUES(" . $last_id . ", 1, '".$this->db->escape($name)."', '".$this->db->escape($description)."', '".$this->db->escape($name)."')");





					$this->db->query("INSERT INTO " . DB_PREFIX . "product_to_store(product_id)

					VALUES(" . $last_id . ")");



					if (isset($this->request->post['category_id'])) {

						$this->db->query("INSERT INTO " . DB_PREFIX . "product_to_category(product_id, category_id)

					VALUES(" . $last_id . ", '".$category_id."')");

					}



					$seo_keyword = $this->seoUrl($name);

					$this->db->query("INSERT INTO " . DB_PREFIX . "url_alias SET query = 'product_id=" . (int)$last_id . "', keyword = '" . $this->db->escape($seo_keyword) . "'");

					

					

					if ($special) {

						$this->db->query("INSERT INTO " . DB_PREFIX . "product_special SET product_id = '" . (int)$last_id . "', customer_group_id = 1, price = '" . (float)$special. "'");

					}

				}

				

				

				

				$this->session->data['success'] = $this->language->get('success');

			}

		

		}

		

		$this->response->redirect($this->url->link('amazonauto/product/search', 'token=' . $this->session->data['token'], 'SSL'));

	}

	

	

	public function seoUrl($string) {

		//Unwanted:  {UPPERCASE} ; / ? : @ & = + $ , . ! ~ * ' ( )

		$string = strtolower($string);

		//Strip any unwanted characters

		$string = preg_replace("/[^a-z0-9_\s-]/", "", $string);

		//Clean multiple dashes or whitespaces

		$string = preg_replace("/[\s-]+/", " ", $string);

		//Convert whitespaces and underscore to dash

		$string = preg_replace("/[\s_]/", "-", $string);

		return $string;

	}

	

}

?>