<?php
class ControllerDashboardRecentProductUpdates extends Controller {
	public function index() {
		$this->load->language('dashboard/recent_product_updates');

		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_no_results'] = $this->language->get('text_no_results');

		$data['column_name'] = $this->language->get('column_name');
		$data['column_status'] = $this->language->get('column_status');
		$data['column_issue'] = $this->language->get('column_issue');

		$data['button_view'] = $this->language->get('button_view');

		$data['token'] = $this->session->data['token'];

		// Last 5 Orders
		$data['products'] = array();

		$this->load->model('amazonauto/product');

		$results = $this->model_amazonauto_product->getTotalProductsRecent();
		//echo '<pre>';print_r($results);die();
		foreach ($results as $result) {
			if($result['deleted'] == '1' ){
				$data['products'][] = array(
					'name'   => $result['name'],
					'status'   => 'Deleted',
					'issue'     => 'Removed because no longer available'
				);
			}else{
				if($result['old_price'] != $result['new_price']){
					$data['products'][] = array(
					'name'   => $result['name'],
					'status'   => 'Updated',
					'issue'     => 'Changed price'
					);
				}
				if($result['old_special_price'] != $result['new_special_price']){
					$data['products'][] = array(
					'name'   => $result['name'],
					'status'   => 'Updated',
					'issue'     => 'Changed special price'
					);
				}
			}
		}
		//echo '<pre>';print_r($data);die();
		return $this->load->view('dashboard/recent_product_updates.tpl', $data);
	}
}