<?php
class ControllerDesignMenucolor extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('design/menucolor');
		$this->document->setTitle($this->language->get('heading_title'));
		$this->load->model('design/menucolor');
		$this->getForm();
	}
	public function add() {
		$this->load->language('design/menucolor');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('design/menucolor');
		//echo '<pre>';print_r($_POST);die();
		if ($this->request->server['REQUEST_METHOD'] == 'POST') {
			$this->model_design_menucolor->addmenucolor($this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('design/menucolor', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}


	public function edit() {
		$this->load->language('design/menucolor');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('design/menucolor');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->model_design_menucolor->editmenucolor($this->request->get['menucolor_id'], $this->request->post);

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('design/menucolor', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getForm();
	}

	public function delete() {
		$this->load->language('design/menucolor');

		$this->document->setTitle($this->language->get('heading_title'));

		$this->load->model('design/menucolor');

		if (isset($this->request->post['selected']) && $this->validateDelete()) {
			foreach ($this->request->post['selected'] as $menucolor_id) {
				$this->model_design_menucolor->deletemenucolor($menucolor_id);
			}

			$this->session->data['success'] = $this->language->get('text_success');

			$url = '';

			if (isset($this->request->get['sort'])) {
				$url .= '&sort=' . $this->request->get['sort'];
			}

			if (isset($this->request->get['order'])) {
				$url .= '&order=' . $this->request->get['order'];
			}

			if (isset($this->request->get['page'])) {
				$url .= '&page=' . $this->request->get['page'];
			}

			$this->response->redirect($this->url->link('design/menucolor', 'token=' . $this->session->data['token'] . $url, 'SSL'));
		}

		$this->getList();
	}

	

	protected function getForm() {
		$data['heading_title'] = $this->language->get('heading_title');

		$data['text_form'] = !isset($this->request->get['menucolor_id']) ? $this->language->get('text_add') : $this->language->get('text_edit');
		$data['text_default'] = $this->language->get('text_default');
		$data['text_enabled'] = $this->language->get('text_enabled');
		$data['text_disabled'] = $this->language->get('text_disabled');
		$data['text_content_top'] = $this->language->get('text_content_top');
		$data['text_content_bottom'] = $this->language->get('text_content_bottom');
		$data['text_column_left'] = $this->language->get('text_column_left');
		$data['text_column_right'] = $this->language->get('text_column_right');

		$data['column_background_image'] = $this->language->get('column_background_image');
		$data['column_background_color'] = $this->language->get('column_background_color');
		$data['column_border_left_color'] = $this->language->get('column_border_left_color');
		$data['column_border_right_color'] = $this->language->get('column_border_right_color');
		$data['column_text_color'] = $this->language->get('column_text_color');
		
		
		
		$data['entry_store'] = $this->language->get('entry_store');
		$data['entry_route'] = $this->language->get('entry_route');
		$data['entry_module'] = $this->language->get('entry_module');
		$data['entry_position'] = $this->language->get('entry_position');
		$data['entry_sort_order'] = $this->language->get('entry_sort_order');

		$data['button_save'] = $this->language->get('button_save');
		$data['button_cancel'] = $this->language->get('button_cancel');
		$data['button_route_add'] = $this->language->get('button_route_add');
		$data['button_module_add'] = $this->language->get('button_module_add');
		$data['button_remove'] = $this->language->get('button_remove');

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		if (isset($this->error['error_background_image'])) {
			$data['error_background_image'] = $this->error['error_background_image'];
		} else {
			$data['error_background_image'] = '';
		}
		
		if (isset($this->error['error_background_color'])) {
			$data['error_background_color'] = $this->error['error_background_color'];
		} else {
			$data['error_background_color'] = '';
		}
		
		if (isset($this->error['error_border_left_color'])) {
			$data['error_border_left_color'] = $this->error['error_border_left_color'];
		} else {
			$data['error_border_left_color'] = '';
		}
		
		if (isset($this->error['error_border_right_color'])) {
			$data['error_border_right_color'] = $this->error['error_border_right_color'];
		} else {
			$data['error_border_right_color'] = '';
		}
		
		if (isset($this->error['error_text_color'])) {
			$data['error_text_color'] = $this->error['error_text_color'];
		} else {
			$data['error_text_color'] = '';
		}
		
		
		if (isset($this->session->data['success'])) {
			$data['success'] = $this->session->data['success'];
			unset($this->session->data['success']);
		} else {
			$data['success'] = '';
		}

		$url = '';

		if (isset($this->request->get['sort'])) {
			$url .= '&sort=' . $this->request->get['sort'];
		}

		if (isset($this->request->get['order'])) {
			$url .= '&order=' . $this->request->get['order'];
		}

		if (isset($this->request->get['page'])) {
			$url .= '&page=' . $this->request->get['page'];
		}

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_home'),
			'href' => $this->url->link('common/dashboard', 'token=' . $this->session->data['token'], 'SSL')
		);

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('heading_title'),
			'href' => $this->url->link('design/menucolor', 'token=' . $this->session->data['token'] . $url, 'SSL')
		);

		if (!isset($this->request->get['menucolor_id'])) {
			$data['action'] = $this->url->link('design/menucolor/add', 'token=' . $this->session->data['token'] . $url, 'SSL');
		} else {
			$data['action'] = $this->url->link('design/menucolor/edit', 'token=' . $this->session->data['token'] . '&menucolor_id=' . $this->request->get['menucolor_id'] . $url, 'SSL');
		}

		$data['cancel'] = $this->url->link('design/menucolor', 'token=' . $this->session->data['token'] . $url, 'SSL');

		
		$menucolor_info = $this->model_design_menucolor->getmenucolor();

		if (isset($this->request->post['background_image'])) {
			$data['background_image'] = $this->request->post['background_image'];
		} elseif (!empty($menucolor_info)) {
			$data['background_image'] = $menucolor_info['background_image'];
		} else {
			$data['background_image'] = '';
		}
		
		if (isset($this->request->post['background_color'])) {
			$data['background_color'] = $this->request->post['background_color'];
		} elseif (!empty($menucolor_info)) {
			$data['background_color'] = $menucolor_info['background_color'];
		} else {
			$data['background_color'] = '';
		}
		
		if (isset($this->request->post['border_left_color'])) {
			$data['border_left_color'] = $this->request->post['border_left_color'];
		} elseif (!empty($menucolor_info)) {
			$data['border_left_color'] = $menucolor_info['border_left_color'];
		} else {
			$data['border_left_color'] = '';
		}
		
		if (isset($this->request->post['border_right_color'])) {
			$data['border_right_color'] = $this->request->post['border_right_color'];
		} elseif (!empty($menucolor_info)) {
			$data['border_right_color'] = $menucolor_info['border_right_color'];
		} else {
			$data['border_right_color'] = '';
		}
		if (isset($this->request->post['text_color'])) {
			$data['text_color'] = $this->request->post['text_color'];
		} elseif (!empty($menucolor_info)) {
			$data['text_color'] = $menucolor_info['text_color'];
		} else {
			$data['text_color'] = '';
		}

		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('design/menucolor_form.tpl', $data));
	}

	protected function validateForm() {
		if (!$this->user->hasPermission('modify', 'design/menucolor')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		if ((utf8_strlen($this->request->post['menucolor']) < 3)) {
			$this->error['error_menucolor'] = $this->language->get('error_menucolor');
		}
		if ((utf8_strlen($this->request->post['menutextcolor']) < 3)) {
			$this->error['error_menutextcolor'] = $this->language->get('error_menutextcolor');
		}

		return !$this->error;
	}

	protected function validateDelete() {
		if (!$this->user->hasPermission('modify', 'design/menucolor')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

		$this->load->model('setting/store');
		$this->load->model('catalog/product');
		$this->load->model('catalog/category');
		$this->load->model('catalog/information');

		foreach ($this->request->post['selected'] as $menucolor_id) {
			if ($this->config->get('config_menucolor_id') == $menucolor_id) {
				$this->error['warning'] = $this->language->get('error_default');
			}

			$store_total = $this->model_setting_store->getTotalStoresBymenucolorId($menucolor_id);

			if ($store_total) {
				$this->error['warning'] = sprintf($this->language->get('error_store'), $store_total);
			}

			$product_total = $this->model_catalog_product->getTotalProductsBymenucolorId($menucolor_id);

			if ($product_total) {
				$this->error['warning'] = sprintf($this->language->get('error_product'), $product_total);
			}

			$category_total = $this->model_catalog_category->getTotalCategoriesBymenucolorId($menucolor_id);

			if ($category_total) {
				$this->error['warning'] = sprintf($this->language->get('error_category'), $category_total);
			}

			$information_total = $this->model_catalog_information->getTotalInformationsBymenucolorId($menucolor_id);

			if ($information_total) {
				$this->error['warning'] = sprintf($this->language->get('error_information'), $information_total);
			}
		}

		return !$this->error;
	}
}