<?php
class ModelAmazonautoProduct extends Model {
	public function addFilter($data) {
		$this->db->query("INSERT INTO `" . DB_PREFIX . "filter_group` SET sort_order = '" . (int)$data['sort_order'] . "'");

		$filter_group_id = $this->db->getLastId();

		foreach ($data['filter_group_description'] as $language_id => $value) {
			$this->db->query("INSERT INTO " . DB_PREFIX . "filter_group_description SET filter_group_id = '" . (int)$filter_group_id . "', language_id = '" . (int)$language_id . "', name = '" . $this->db->escape($value['name']) . "'");
		}

		if (isset($data['filter'])) {
			foreach ($data['filter'] as $filter) {
				$this->db->query("INSERT INTO " . DB_PREFIX . "filter SET filter_group_id = '" . (int)$filter_group_id . "', sort_order = '" . (int)$filter['sort_order'] . "'");

				$filter_id = $this->db->getLastId();

				foreach ($filter['filter_description'] as $language_id => $filter_description) {
					$this->db->query("INSERT INTO " . DB_PREFIX . "filter_description SET filter_id = '" . (int)$filter_id . "', language_id = '" . (int)$language_id . "', filter_group_id = '" . (int)$filter_group_id . "', name = '" . $this->db->escape($filter_description['name']) . "'");
				}
			}
		}		
	}

	public function editAmazonkey($data) {
		//echo '<pre>';print_r($data);die();
		$this->db->query("UPDATE `" . DB_PREFIX . "amazon_key` SET affiliate_id = '" . $data['affiliate_id'] . "', access_key_id = '" . $data['access_key_id'] . "', secret_access_key = '" . $data['secret_access_key'] . "'  WHERE id = '1'");
	}
	public function deleteFilter($filter_group_id) {
		$this->db->query("UPDATE `" . DB_PREFIX . "amazon_key` SET affiliate_id ='', access_key_id = '', secret_access_key = ''  WHERE id = '1'");
	}
	public function getAmazonkey() {
		$query = $this->db->query("SELECT * FROM `" . DB_PREFIX . "amazon_key`");
		return $query->row;
	}
	public function getFilterGroupDescriptions($filter_group_id) {
		$filter_group_data = array();
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "filter_group_description WHERE filter_group_id = '" . (int)$filter_group_id . "'");
		foreach ($query->rows as $result) {
			$filter_group_data[$result['language_id']] = array('name' => $result['name']);
		}
		return $filter_group_data;
	}
	public function getFilter($filter_id) {
		$query = $this->db->query("SELECT *, (SELECT name FROM " . DB_PREFIX . "filter_group_description fgd WHERE f.filter_group_id = fgd.filter_group_id AND fgd.language_id = '" . (int)$this->config->get('config_language_id') . "') AS `group` FROM " . DB_PREFIX . "filter f LEFT JOIN " . DB_PREFIX . "filter_description fd ON (f.filter_id = fd.filter_id) WHERE f.filter_id = '" . (int)$filter_id . "' AND fd.language_id = '" . (int)$this->config->get('config_language_id') . "'");
		return $query->row;
	}
	public function getFilters($data) {
		$sql = "SELECT *, (SELECT name FROM " . DB_PREFIX . "filter_group_description fgd WHERE f.filter_group_id = fgd.filter_group_id AND fgd.language_id = '" . (int)$this->config->get('config_language_id') . "') AS `group` FROM " . DB_PREFIX . "filter f LEFT JOIN " . DB_PREFIX . "filter_description fd ON (f.filter_id = fd.filter_id) WHERE fd.language_id = '" . (int)$this->config->get('config_language_id') . "'";
		if (!empty($data['filter_name'])) {
			$sql .= " AND fd.name LIKE '" . $this->db->escape($data['filter_name']) . "%'";
		}
		$sql .= " ORDER BY f.sort_order ASC";
		if (isset($data['start']) || isset($data['limit'])) {
			if ($data['start'] < 0) {
				$data['start'] = 0;
			}					
			if ($data['limit'] < 1) {
				$data['limit'] = 20;
			}	
			$sql .= " LIMIT " . (int)$data['start'] . "," . (int)$data['limit'];
		}
		$query = $this->db->query($sql);
		return $query->rows;
	}
	public function getFilterDescriptions($filter_group_id) {
		$filter_data = array();
		$filter_query = $this->db->query("SELECT * FROM " . DB_PREFIX . "filter WHERE filter_group_id = '" . (int)$filter_group_id . "'");
		foreach ($filter_query->rows as $filter) {
			$filter_description_data = array();
			$filter_description_query = $this->db->query("SELECT * FROM " . DB_PREFIX . "filter_description WHERE filter_id = '" . (int)$filter['filter_id'] . "'");			
			foreach ($filter_description_query->rows as $filter_description) {
				$filter_description_data[$filter_description['language_id']] = array('name' => $filter_description['name']);
			}
			$filter_data[] = array(
				'filter_id'          => $filter['filter_id'],
				'filter_description' => $filter_description_data,
				'sort_order'         => $filter['sort_order']
			);
		}
		return $filter_data;
	}
	public function getTotalFilterGroups() {
		$query = $this->db->query("SELECT COUNT(*) AS total FROM `" . DB_PREFIX . "filter_group`");
		return $query->row['total'];
	}
	public function getcategoryList() {
		$sql = "SELECT cp.category_id AS category_id, GROUP_CONCAT(cd1.name ORDER BY cp.level SEPARATOR ' &gt; ') AS name, c.parent_id, c.sort_order FROM " . DB_PREFIX . "category_path cp LEFT JOIN " . DB_PREFIX . "category c ON (cp.path_id = c.category_id) LEFT JOIN " . DB_PREFIX . "category_description cd1 ON (c.category_id = cd1.category_id) LEFT JOIN " . DB_PREFIX . "category_description cd2 ON (cp.category_id = cd2.category_id)";
		$sql .= " WHERE cd1.name != '' GROUP BY cp.category_id ORDER BY name";
		$query = $this->db->query($sql);
		return $query->rows;
	}
	public function getcategoryName($category_id) {
		$sql = "SELECT * FROM " . DB_PREFIX . "category_description WHERE category_id = '" . (int)$category_id . "'";
		$query = $this->db->query($sql);
		return $query->row;
	}	public function getcategoryListName() {		$sql = "SELECT * FROM " . DB_PREFIX . "category_description";		$query = $this->db->query($sql);		return $query->rows;	}	public function getManufacturers($data = array()) {		$sql = "SELECT * FROM " . DB_PREFIX . "manufacturer";					$query = $this->db->query($sql);		return $query->rows;	}	public function getTotalProductsRecent($data = array()) {		$sql = "SELECT * FROM " . DB_PREFIX . "amazon_product_update";		$query = $this->db->query($sql);		return $query->rows;	}	
}
?>
